Summary: LIDS base package.  Required LIDS applications and configurations 
Name: lids-base
Version: 0.9.15
Release: 1.0.24
Copyright: GPL
Group: Applications/Security
Source0: lids-base-%{version}.tgz
Source1: lids.cap
Source2: lids.conf
Source3: lids.pw
Source4: lids.net
Source5: config_lids.pl
Source6: zlidsinit
Source7: lidsadm_gd.c
Patch0: lidsadm-0.9.15-Makefile.patch
Buildroot: /var/tmp/%{name}-%{version}-root

%description
The Linux Intrusion Detection System (LIDS)...
 
%prep
%setup -q
%patch0 -p1

cp -a %{SOURCE7} .


%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"


%install
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/lids
mkdir -p $RPM_BUILD_ROOT/etc/init.d

install -m700 -s lidsadm     $RPM_BUILD_ROOT/sbin/lidsadm
install -m700 -s lidsadm_gd  $RPM_BUILD_ROOT/sbin/lidsadm_gd
install -m600 -s %{SOURCE1}  $RPM_BUILD_ROOT/etc/lids/lids.cap
install -m600 -s %{SOURCE2}  $RPM_BUILD_ROOT/etc/lids/lids.conf
install -m600 -s %{SOURCE3}  $RPM_BUILD_ROOT/etc/lids/lids.pw
install -m600 -s %{SOURCE4}  $RPM_BUILD_ROOT/etc/lids/lids.net
install -m700 -s %{SOURCE5}  $RPM_BUILD_ROOT/usr/sbin/config_lids.pl
install -m750 -s %{SOURCE6}  $RPM_BUILD_ROOT/etc/init.d/zlidsinit

%post
  /usr/sbin/config_lids.pl --force
  /sbin/chkconfig --add zlidsinit


%postun
  /sbin/chkconfig --del zlidsinit


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%attr(0700,root,root)	/sbin/lidsadm
%attr(0700,root,root)	/sbin/lidsadm_gd
%attr(0700,root,root)	/usr/sbin/config_lids.pl
%attr(0750,root,root)	/etc/init.d/zlidsinit
%config			/etc/lids/lids.cap
%config			/etc/lids/lids.conf
%config			/etc/lids/lids.pw
%config			/etc/lids/lids.net


%changelog
* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Verison 0.9.15, Release 1.0.2[34].
  - eye-three-eighty-six build fixes.


* Tue Mar 27 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Verison 0.9.15, Release 1.0.22.
  - Updated package to 0.9.15 for use with kernel 2.2.19.
  - Ported my lidsadm_gd.c code to this new version.
  - Updated lids.conf for new format.
  - Updated config_lids.pl for new formats.


* Mon Mar 19 2001 Nick DeClario <nick@guardiandigital.com>
- Version 0.9.8, Release 1.0.2[01].
  - Updated 'config_lids.pl' with a new WRITE section.
  - Allowed all programs to WRITE to '/lib/modules'.


* Thu Mar 15 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscripts.


* Mon Mar 12 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.8, Release 1.0.13
  - Updated the LIDS initscript.


* Thu Mar 08 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.8, Release 1.0.12
  - Moved initscript to priority 95/95.
  - Added '/etc/init.d/named' to READ files.


* Wed Mar 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.8, Release 1.0.11
  - Added a '--force' and a '--help' option to config_lids.pl.
  - Put a "CHANGELOG" section in config_lids.pl.  PLEASE USE IT.


* Wed Mar 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.8, Release 1.0.10
  - Re-wrote the config script.  What was '/usr/sbin/lids_default_config' is
    now '/usr/sbin/config_lids.pl.  This new script does much more and is
    much more user-friendly.  It also does a +RELOAD_CONF when it's all done
    so the administrator does not have to.
  - TODO (soon):  Must sync the default LIDS and WebTool passwds.


* Thu Feb 15 2001 Nick DeClario <nick@guardiandigital.com>
- Added read only access to /var/lib/rpm


* Thu Feb 15 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.8, Release 1.0.8
  - Added the new '/sbin/lidsadm-gd' binary for use with the GD WebTool.


* Fri Feb 09 2001 Nick DeClario <nick@guardiandigital.com
- Removed LIDS /root protection by default

* Thu Jan 25 2001 Nick DeClario <nick@guardiandigital.com>
- Changed lids_default_config
- Created init script for sealing the kernel
- Changed kernel capability settings lids.cap

* Wed Jan 17 2001 Nick DeClario <nick@guardiandigital.com>
- Made changes to lids_default_conf
- Minor capability changes

* Thu Dec 14 2000 Ryan W. Maple <ryan@guardiandigtial.com>
- Version 0.9.8, Release 1.0.4
  - Added patch to pass encrypted password at command-line for WebTool.
  - I need to make this more robust in the coming days; this is just for
    testing purposes.

* Thu Dec 07 2000 Nick DeClario <nick@guardiandigital.com>
- added patch to fix truncated passwords in lids.pwd

* Thu Dec 07 2000 Nick DeClario <nick@guardiandigital.com>
- removed all rc.d referencese
- updated lids_default_config
- fix errors in lidsadm patch

* Thu Nov 09 2000 Nick DeClario <nick@guardiandigital.com>
- Initial creation of LIDS RPM

